@import '../../variables.scss';

nav {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  padding-top: 35px;

  .logo {
    display: flex;
    flex-flow: column;
    justify-content: center;
    align-items: center;

    img {
      width: 170px;
    }

    .name {
      text-align: center;
      display: flex;
      flex-flow: column nowrap;
      align-items: center;
      align-self: flex-end;
      padding-top: 7px;

      b {
        color: $secondary-color;
        font-family: $secondary-font;
        font-size: 8pt;
        letter-spacing: 2px;
      }
    }
  }

  .instagram-button {
    background-color: transparent;
    border: none;
    outline: none;
    padding: 0;
    position: absolute;
    cursor: pointer;
    top: 15px;
    right: 15px;

    img {
      width: 35px;
    }
  }
}

@media (min-width:$break-1) {
  nav {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    padding-top: 35px;

    .logo {
      display: flex;
      flex-flow: column;
      justify-content: center;
      align-items: center;

      img {
        width: 100px;
      }

      .name {
        text-align: center;
        display: flex;
        flex-flow: column nowrap;
        align-items: center;
        align-self: center;
        padding-top: 7px;

        b {
          color: $secondary-color;
          font-family: $secondary-font;
          font-size: 8pt;
          letter-spacing: 2px;
        }
      }
    }

    .instagram-button {
      background-color: transparent;
      border: none;
      outline: none;
      padding: 0;
      position: absolute;
      cursor: pointer;
      top: 15px;
      right: 15px;

      img {
        width: 35px;
      }
    }
  }
}
